/*  
    default: for cscore

    Copyright (C) 1991 Barry Vercoe

    This file is part of Csound.

    Csound is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Csound is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Csound; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "cscore.h"                              /*  CSCORE_DEFAULT.C   */

void cscore()            /* callable from Csound or standalone cscore  */
                         /* csound -C will run Csound scores as normal */
{
	EVLIST *a;

	while ((a = lget()) != NULL
	       && a->nevents > 0) {	/* read each sect from score */
	    a = lappstrev(a,"s");	/* re-append the s statement */
	    lplay(a);   		/* play this section         */
	    lrelev(a);                  /* reclaim the space         */
	}
	
	if (a)  lrelev(a);      /* reclaim space from lget() above -- akozar, 040405 */
	a = lcreat(1);          /* should not be 0 -- akozar, 040405 */
	a = lappstrev(a,"e");
	lplay(a);			/* end-of-score for summaries */
	lrelev(a);
}
